Subject: Re: Will git have a baseline feature or something alike?

From: Jan Hudec <[email-masked]>
Date: Sun, 2 Mar 2008 20:38:16 +0100

On Sun, Mar 02, 2008 at 02:20:35 +1300, Sam Vilain wrote:
> Jakub Narebski wrote:
> > And last, KDE repos should most probably be split into submodules.
> 
> Mmm.  Everyone always says that; what it really needs I think is someone
> to really take the conversion on board and come up with a workable plan
> on this front.  I think the counter-argument to this was "but you always
> want to have 70% of the repository checked out for development".

KDE should not be the case. The source for Debian packages is split in
several independent source packages (which are compilable on their own). You
should rarely need more than 1 or 2 (the one you hack + base) checked out.

> Counter-counter argument is "yes but they don't always need to be deep
> clones".  Anyway, it's not my baby, just thought I'd let you know about
> it :-)

-- 
						 Jan 'Bulb' Hudec <[email-masked]>